curl --request GET \
--url https://api.quiver.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "arrow-preview",
"object": "model",
"name": "Arrow",
"description": "QuiverAI API flagship SVG generation model for text-to-SVG and image-to-SVG.",
"created": 1704067200,
"owned_by": "quiver",
"input_modalities": [
"text",
"image"
],
"output_modalities": [
"svg"
],
"context_length": 131072,
"max_output_length": 131072,
"pricing": {
"prompt": "0.000001",
"completion": "0.000002",
"image": "0",
"request": "0",
"input_cache_reads": "0",
"input_cache_writes": "0"
},
"supported_operations": [
"svg_generate",
"svg_vectorize"
],
"supported_sampling_parameters": [
"temperature",
"top_p",
"stop",
"presence_penalty"
]
}
]
}Returns all models available to the authenticated organization.
curl --request GET \
--url https://api.quiver.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "arrow-preview",
"object": "model",
"name": "Arrow",
"description": "QuiverAI API flagship SVG generation model for text-to-SVG and image-to-SVG.",
"created": 1704067200,
"owned_by": "quiver",
"input_modalities": [
"text",
"image"
],
"output_modalities": [
"svg"
],
"context_length": 131072,
"max_output_length": 131072,
"pricing": {
"prompt": "0.000001",
"completion": "0.000002",
"image": "0",
"request": "0",
"input_cache_reads": "0",
"input_cache_writes": "0"
},
"supported_operations": [
"svg_generate",
"svg_vectorize"
],
"supported_sampling_parameters": [
"temperature",
"top_p",
"stop",
"presence_penalty"
]
}
]
}Was this page helpful?